package com.gic.enterprise.constant;

/**
 * 微盟商城店铺配置类型
 * @ClassName: WmStoreConfigTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 2:42 PM 
 */
public enum WmStoreConfigTypeEnum {
    MEMBER_CARD_CONFIG(1, "会员卡配置"),
    COUPON_CONFIG(2, "卡券配置"),
    ORDER_CONFIG(3, "订单配置"),
    INTEGRAL_CONFIG(4, "积分配置"),
    GOODS_CONFIG(5, "商品配置"),
    APPLET_CONFIG(6, "小程序配置");

    private int code;
    private String message;

    /**
     * 是否是枚举内的code值
     * @param code
     * @return
     */
    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (WmStoreConfigTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public static String getMessageByCode(Integer code) {
        if (isRightCode(code)) {
            for (WmStoreConfigTypeEnum typeEnum : values()) {
                if (code.intValue() == typeEnum.getCode()) {
                    return typeEnum.getMessage();
                }
            }
        }
        return "--";
    }

    private WmStoreConfigTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
